QGIS Application - Bug report #8716
QGIS crash setting out parameter in Processing graphical modeler
2013-09-28 09:17 AM - Luigi Pirelli

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.0.1 Regression?: No
Operating System: Debian wheezy Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 17434
Description

QGIS version 2.0.1-Dufour
QGIS code revision d57fe58
code from branch release-2_0

reproducible doing these steps in my debian wheezy (Linux 3.2.0-4-amd64 #1 SMP Debian 3.2.51-1 x86_64 GNU/Linux)

1) load a raster

2) open Processing graphical modeler

4) add GRASS r.aspect algorithm (without setting output) => add in modeler

)
)
3) add a restar input
)
5) reopen r.aspect and set output => then crash

qgis compiled Debug mode and valgrind support. Attached logs of the crash

History

#1 - 2013-09-29 01:45 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Operating System changed from Debian wheesy to Debian wheezy

Tested on Windows (osgeo4w, qgis 32bit), not confirmed. | will do also on Ubuntu.

#2 - 2013-09-29 02:18 AM - Filipe Dias

5) reopen r.aspect and set output => then crash

When you did this, did you double-click on "r.aspect” ou did you press "edit"?

#3 - 2013-09-29 03:41 AM - Luigi Pirelli
)
opening with double-clilk generate crash

opening with edit doesn create crash

why? | can't investigate in this moment
Filipe Dias wrote:

5) reopen r.aspect and set output => then crash

When you did this, did you double-click on "r.aspect" ou did you press "edit"?

#4 - 2013-09-29 04:58 AM - Filipe Dias
- Status changed from Feedback to Closed
- OS version changed from Linux 3.2.0-4-amd64 #1 SMP Debian 3.2.51-1 x86_64 GNU/Linux to Linux

- Resolution set to duplicate

The problem is the double-click, which causes the crash. I've reported this a while ago but unfortunately it hasn't been fixed.

#6785

#5 - 2015-06-07 04:30 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core

Files

qgis-crash-processing6.ixt 1.44 MB 2013-09-28 Luigi Pirelli
qgis-crash-processing4.txt 256 KB 2013-09-28 Luigi Pirelli
qgis-crash-processing5.txt 269 KB 2013-09-28 Luigi Pirelli
